declare module 'vue3-video-play'
declare module '@amap/amap-jsapi-loader'

// 通用接口定义
interface ChatMessage {
  role: 'user' | 'assistant'
  content: string
  time: string
}

interface QuickAction {
  title: string
  description: string
  icon: string
  color: string
}

interface ChatHistory {
  id: number
  title: string
  time: string
  type: string
}

interface Video {
  id: number
  title: string
  url: string
  thumbnail: string
  duration: string
  category: string
  views: number
  description: string
}

interface Device {
  id: number
  name: string
  description: string
  type: string
  icon: Component
  online: boolean
  battery: number
}

interface Activity {
  id: number
  title: string
  time: string
  location: string
  participants: number
  status: string
  category: string
  image: string
  description: string
  tags: string[]
  notices: string[]
}

interface MealPlan {
  time: string
  meal: string
  calories: string
}

interface HealthData {
  type: string
  value: string
  unit: string
  status: string
}

// 导出类型
export {
  ChatMessage,
  QuickAction,
  ChatHistory,
  Video,
  Device,
  Activity,
  MealPlan,
  HealthData
} 